Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.lwclient
Class LwcMailbox

    java.lang.Object
      |
      +--com.bea.lwclient.LwcMailbox

Deprecated. The LwcMailboxDirectory manages the creation and removal of mailboxes and message management

public class LwcMailbox
extends java.lang.Object
implements LwcMailboxDirectory

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static com.bea.eci.logging.LogOutputStream` | `log` Deprecated.

Constructor Summary
`LwcMailbox()` Deprecated. Default Constructor
`LwcMailbox(java.lang.String mbxName)` Deprecated. Constructor

Method Summary
`void` | `addMessage(MessageInfo msginfo, byte[] mesg, boolean filesharing)` Deprecated. Adds a message to the mailbox.
`void` | `createMailbox(java.lang.String name)` Deprecated. Create a mailbox with the specified name.
`void` | `expungeMessages()` Deprecated. Deletes all messages from the mailbox.
`static LwcMailbox` | `getInstance()` Deprecated.
`byte[]` | `getMessage(java.lang.String msgid)` Deprecated. Returns the payload of the message with the specified id.
`int` | `getMessageCount()` Deprecated. Returns the number of messages in the mailbox.
`MessageInfo[]` | `getMessageInfos()` Deprecated. Returns info about all messages in the mailbox.
`byte[][]` | `getNewMessagesContent()` Deprecated. Returns array of new message contents in given mailbox
`java.lang.String` | `getSender(java.lang.String messageid)` Deprecated. Returns sender of a particular message in a mailbox
`boolean` | `isExistMailbox(java.lang.String name)` Deprecated. Returns a boolean true if the mailbox with the specified name exists.
`void` | `listen(java.lang.String outMbox, java.lang.String url)` Deprecated. Listens for messages coming into the mailbox and sends an XML event to the internal JMS EventQueue.
`void` | `removeMailbox(java.lang.String name)` Deprecated. Remove the mailbox with the specified name.
`void` | `removeMessage(java.lang.String msgid)` Deprecated. Removes the message with the specified id from the mailbox.
`void` | `setMessageStatus(java.lang.String msgid, int status)` Deprecated. Sets the status of the message to the specified value.
`static void` | `start()` Deprecated. This is the entry point for Lwc RMI registry allowing remote File Sharing Client access
`void` | `startup(java.lang.String name, java.util.Hashtable params)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static com.bea.eci.logging.LogOutputStream log

  Deprecated.

Constructor Detail

### LwcMailbox

    public LwcMailbox()

  Deprecated.
  Default Constructor

### LwcMailbox

    public LwcMailbox(java.lang.String mbxName)
               throws LwcMailboxException

  Deprecated.
  Constructor

  Parameters:
    `mbxName` - Name of the mailbox.
  Throws:
    LwcMailboxException - If mailbox does not exist.

Method Detail

### getInstance

    public static LwcMailbox getInstance()

  Deprecated.

### createMailbox

    public void createMailbox(java.lang.String name)
                       throws LwcMailboxException,
                              weblogic.rmi.RemoteException

  Deprecated.
  Create a mailbox with the specified name. If a mailbox with the given name exists, existing mailbox is referred.
  Specified by:
    createMailbox in interface LwcMailboxDirectory

  Parameters:
    `name` - Name of the mailbox to create.
  Throws:
    LwcMailboxException - If mailbox creation fails.
    weblogic.rmi.RemoteException -

### removeMailbox

    public void removeMailbox(java.lang.String name)
                       throws LwcMailboxException,
                              weblogic.rmi.RemoteException

  Deprecated.
  Remove the mailbox with the specified name.
  Specified by:
    removeMailbox in interface LwcMailboxDirectory

  Parameters:
    `name` - Name of the mailbox to remove.
  Throws:
    LwcMailboxException - If mailbox removal fails.
    weblogic.rmi.RemoteException -

### isExistMailbox

    public boolean isExistMailbox(java.lang.String name)
                           throws LwcMailboxException,
                                  weblogic.rmi.RemoteException

  Deprecated.
  Returns a boolean true if the mailbox with the specified name exists. If the specified mailbox does not exist (mailbox is null), it returns false.
  Specified by:
    isExistMailbox in interface LwcMailboxDirectory

  Parameters:
    `name` - Name of the mailbox.
  Returns:
    boolean - true/false
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### addMessage

    public void addMessage(MessageInfo msginfo,
                           byte[] mesg,
                           boolean filesharing)
                    throws LwcMailboxException,
                           weblogic.rmi.RemoteException

  Deprecated.
  Adds a message to the mailbox.
  Specified by:
    addMessage in interface LwcMailboxDirectory

  Parameters:
    `msginfo` - Metadata info of the message.
    `mesg` - The message payload.
    `filesharing` - If true file sharing client tries to add message
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException - - Remote object LwcMailbox not found

### removeMessage

    public void removeMessage(java.lang.String msgid)
                       throws LwcMailboxException,
                              weblogic.rmi.RemoteException

  Deprecated.
  Removes the message with the specified id from the mailbox.
  Specified by:
    removeMessage in interface LwcMailboxDirectory

  Parameters:
    `msgid` - Identifier of the message to be removed.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### getMessageCount

    public int getMessageCount()
                        throws LwcMailboxException,
                               weblogic.rmi.RemoteException

  Deprecated.
  Returns the number of messages in the mailbox.
  Specified by:
    getMessageCount in interface LwcMailboxDirectory

  Returns:
    int - number of messages.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### getMessageInfos

    public MessageInfo[] getMessageInfos()
                                  throws LwcMailboxException,
                                         weblogic.rmi.RemoteException

  Deprecated.
  Returns info about all messages in the mailbox. If the mailbox is ordered, the returned messages will be sequenced in the same order in which they were added.
  Specified by:
    getMessageInfos in interface LwcMailboxDirectory

  Returns:
    MessageInfo[] - Array of message info.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### getMessage

    public byte[] getMessage(java.lang.String msgid)
                      throws LwcMailboxException,
                             weblogic.rmi.RemoteException

  Deprecated.
  Returns the payload of the message with the specified id.
  Specified by:
    getMessage in interface LwcMailboxDirectory

  Parameters:
    `msgid` - Message id.
  Returns:
    byte[] - Message payload.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### setMessageStatus

    public void setMessageStatus(java.lang.String msgid,
                                 int status)
                          throws LwcMailboxException,
                                 weblogic.rmi.RemoteException

  Deprecated.
  Sets the status of the message to the specified value. Valid status values are MessageInfo.StatusNew and MessageInfo.StatusRead
  Specified by:
    setMessageStatus in interface LwcMailboxDirectory

  Parameters:
    `msgid` - Message id.
    `status` - Message status.
  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### expungeMessages

    public void expungeMessages()
                         throws LwcMailboxException,
                                weblogic.rmi.RemoteException

  Deprecated.
  Deletes all messages from the mailbox.
  Specified by:
    expungeMessages in interface LwcMailboxDirectory

  Throws:
    LwcMailboxException - If mailbox operation fails.
    weblogic.rmi.RemoteException -

### listen

    public void listen(java.lang.String outMbox,
                       java.lang.String url)
                throws weblogic.rmi.RemoteException

  Deprecated.
  Listens for messages coming into the mailbox and sends an XML event to the internal JMS EventQueue.
  Specified by:
    listen in interface LwcMailboxDirectory

  Parameters:
    `outMbox` - outgoing mailbox name.
    `url` - Weblogic URL for JNDI context lookup.

### getSender

    public java.lang.String getSender(java.lang.String messageid)
                               throws LwcMailboxException,
                                      weblogic.rmi.RemoteException

  Deprecated.
  Returns sender of a particular message in a mailbox
  Specified by:
    getSender in interface LwcMailboxDirectory

  Parameters:
    `messageid` - Unique Message Identifier.
  Returns:
    String sender name

### getNewMessagesContent

    public byte[][] getNewMessagesContent()
                                   throws LwcMailboxException,
                                          weblogic.rmi.RemoteException

  Deprecated.
  Returns array of new message contents in given mailbox
  Specified by:
    getNewMessagesContent in interface LwcMailboxDirectory

  Returns:
    byte[][] array of new message content in bytes

### startup

    public void startup(java.lang.String name,
                        java.util.Hashtable params)
                 throws java.lang.Exception

  Deprecated.

### start

    public static void start()
                      throws java.lang.Exception

  Deprecated.
  This is the entry point for Lwc RMI registry allowing remote File Sharing Client access

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)